Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Thu, 13 Oct 2022 10:04:07 +0300

>   > The last revision currently is supported only by git and hg backends
>   > in vc-git-log-edit-toggle-amend and vc-hg-log-edit-toggle-amend.
>
> 1. I think this can be supported in CVS.  How about doing that?

It seems this is already supported in vc-cvs-working-revision,
but currently I can't confirm this.

> 2. Isn't it natural to be able to specify a previous version
> to compare the current workfile against?  C-x v = supports that.
>
> Why not compare the work file

In case of vc-git-diff, it just runs `git diff-index` to compare
to the working tree.  However, 'C-u C-x v =' raises more questions:

1. When used on one file, for the default value of the old revision,
it converts the name "HEAD" of the current branch to its unabbreviated
hash number.  So the question is why not leave it alone
and display the default value "HEAD" as is?

2. When used on many files, there is no default value.
But why not use the same "HEAD" even in case of multiple files?